Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifNew_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          polyglot.ext.jl.ast.Term_c
              polyglot.ext.jl.ast.Expr_c
                  polyglot.ext.jl.ast.New_c
                      jif.ast.JifNew_c

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Expr, polyglot.ast.JL, polyglot.ast.New, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.ProcedureCall, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.Typed, polyglot.util.Copy

    public class JifNew_c

extends polyglot.ext.jl.ast.New_c
implements polyglot.ast.New

Field Summary

Fields inherited from class polyglot.ext.jl.ast.New_c
`anonType, arguments, body, ci, qualifier, tn`

Fields inherited from class polyglot.ext.jl.ast.Expr_c
`type`

Fields inherited from class polyglot.ext.jl.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`JifNew_c(polyglot.util.Position pos, polyglot.ast.TypeNode tn, java.util.List arguments, polyglot.ast.ClassBody body)`

Method Summary
`java.util.List` | `throwTypes(polyglot.types.TypeSystem ts)`
`polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)`

Methods inherited from class polyglot.ext.jl.ast.New_c
`acceptCFG, anonType, anonType, arguments, arguments, body, body, buildTypes, buildTypesEnter, childExpectedType, constructorInstance, constructorInstance, disambiguate, disambiguateOverride, enterChildScope, entry, exceptionCheck, findQualifier, objectType, objectType, precedence, prettyPrint, printArgs, printBody, printQualifier, procedureInstance, qualifier, qualifier, reconstruct, toString, translate, typeCheckFlags, typeCheckNested, typeCheckOverride, visitChildren`

Methods inherited from class polyglot.ext.jl.ast.Expr_c
`booleanValue, byteValue, charValue, constantValue, constantValueSet, doubleValue, dump, floatValue, intValue, isConstant, isTypeChecked, longValue, printSubExpr, printSubExpr, shortValue, stringValue, type, type`

Methods inherited from class polyglot.ext.jl.ast.Term_c
`exceptions, exceptions, listEntry, reachable, reachable`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, checkConstants, copy, del, del, disambiguateEnter, dump, dump, enterScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isDisambiguated, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, typeCheckEnter, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.New
`anonType, anonType, arguments, arguments, body, body, constructorInstance, constructorInstance, objectType, objectType, qualifier, qualifier`

Methods inherited from interface polyglot.ast.Expr
`constantValue, constantValueSet, isConstant, precedence, printSubExpr, printSubExpr, type`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, translate, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Methods inherited from interface polyglot.ast.Typed
`type`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.ProcedureCall
`procedureInstance`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Constructor Detail

### JifNew_c

    public JifNew_c(polyglot.util.Position pos,
                    polyglot.ast.TypeNode tn,
                    java.util.List arguments,
                    polyglot.ast.ClassBody body)

Method Detail

### typeCheck

    public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                throws polyglot.types.SemanticException

  Specified by:
    `typeCheck` in interface `polyglot.ast.NodeOps`
  Overrides:
    `typeCheck` in class `polyglot.ext.jl.ast.New_c`
  Throws:
    `polyglot.types.SemanticException`

### throwTypes

    public java.util.List throwTypes(polyglot.types.TypeSystem ts)

  Specified by:
    `throwTypes` in interface `polyglot.ast.NodeOps`
  Overrides:
    `throwTypes` in class `polyglot.ext.jl.ast.New_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD